/*
 * CopyrightiCj NEC Corporation, NEC CustomTechnica, Ltd. 2003
 * 
 * This library is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Library General Public License as published
 * by the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 * 
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#ifndef __APM_RW_H__
#define __APM_RW_H__

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/time.h>
#include <sys/types.h>
#include <unistd.h>
#include "common.h"

int apm_Send_Data(int fd, unsigned char *obuf, unsigned long size);
int apm_Recv_vData(int fd, int r_vbuf_len, unsigned char *r_vbuf);
int apm_Recv_fData(int fd, FIXED_FORMAT *r_vbuf);
int apm_Select_Data(int fd, struct timeval *timeout);
int apm_ReqSendRspRecv(int fd, void *i_buf, unsigned long i_len, void *o_fbuf, void **o_vbuf, unsigned long *o_vlen, struct timeval *timeout);

#endif  // __APM_RW_H__
